Orxonox: orxonox::HUDRadar Class Reference

# orxonox::HUDRadar Class Reference

`#include <src/orxonox/overlays/hud/HUDRadar.h>`

Inheritance diagram for orxonox::HUDRadar:

List of all members.

## Public Member Functions

virtual void | changedOwner ()
| HUDRadar (BaseObject *creator)
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~HUDRadar ()

## Private Member Functions

void | displayObject (RadarViewable *viewable, bool bIsMarked)
float | getHalfDotSizeDistance () const
float | getMaximumDotSize () const
float | getRadarSensitivity () const
void | radarTick (float dt)
void | setHalfDotSizeDistance (float distance)
void | setMaximumDotSize (float size)
void | setRadarSensitivity (float sensitivity)

## Private Attributes

float | halfDotSizeDistance_
std::vector < Ogre::PanelOverlayElement * > ::iterator | itRadarDots_
Ogre::PanelOverlayElement * | marker_
float | maximumDotSize_
Pawn * | owner_
std::vector < Ogre::PanelOverlayElement * > | radarDots_
float | sensitivity_
std::map< RadarViewable::Shape, std::string > | shapeMaterials_

## Constructor & Destructor Documentation

orxonox::HUDRadar::HUDRadar | ( | BaseObject * | creator | ) |

References orxonox::RadarViewable::Dot, orxonox::getUniqueNumberString(), marker_, orxonox::OrxonoxOverlay::overlay_, owner_, RegisterObject, setHalfDotSizeDistance(), setMaximumDotSize(), setRadarSensitivity(), shapeMaterials_, orxonox::RadarViewable::Square, and orxonox::RadarViewable::Triangle.

orxonox::HUDRadar::~HUDRadar | ( |  | ) | `[virtual]`

References orxonox::BaseObject::isInitialized(), marker_, and radarDots_.

## Member Function Documentation

void orxonox::HUDRadar::changedOwner | ( |  | ) | `[virtual]`

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::OrxonoxOverlay::getOwner(), owner_, and SUPER.

void orxonox::HUDRadar::displayObject | ( | RadarViewable * | viewable,
|  | bool | bIsMarked |
| ) |  |  | `[private, virtual]`

Implements orxonox::RadarListener.

References CCOUT, orxonox::WorldEntity::FRONT, orxonox::get2DViewcoordinates(), orxonox::TextureGenerator::getMaterialName(), orxonox::WorldEntity::getOrientation(), orxonox::WorldEntity::getPosition(), orxonox::RadarViewable::getRadarObjectShape(), orxonox::getUniqueNumberString(), orxonox::WorldEntity::getWorldPosition(), halfDotSizeDistance_, itRadarDots_, marker_, maximumDotSize_, orxonox::OrxonoxOverlay::overlay_, owner_, radarDots_, shapeMaterials_, orxonox::WorldEntity::UP, and orxonox::MT_Type::Vector2.

float orxonox::HUDRadar::getHalfDotSizeDistance | ( |  | ) | const`[inline, private]`

Referenced by XMLPort().

float orxonox::HUDRadar::getMaximumDotSize | ( |  | ) | const`[inline, private]`

Referenced by XMLPort().

float orxonox::HUDRadar::getRadarSensitivity | ( |  | ) | const`[inline, private, virtual]`

Implements orxonox::RadarListener.

Referenced by XMLPort().

void orxonox::HUDRadar::radarTick | ( | float | dt | ) | `[private, virtual]`

Implements orxonox::RadarListener.

References itRadarDots_, marker_, and radarDots_.

void orxonox::HUDRadar::setHalfDotSizeDistance | ( | float | distance | ) | `[inline, private]`

Referenced by HUDRadar(), and XMLPort().

void orxonox::HUDRadar::setMaximumDotSize | ( | float | size | ) | `[inline, private]`

Referenced by HUDRadar(), and XMLPort().

void orxonox::HUDRadar::setRadarSensitivity | ( | float | sensitivity | ) | `[inline, private]`

Referenced by HUDRadar(), and XMLPort().

void orxonox::HUDRadar::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OrxonoxOverlay.

References getHalfDotSizeDistance(), getMaximumDotSize(), getRadarSensitivity(), setHalfDotSizeDistance(), setMaximumDotSize(), setRadarSensitivity(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::HUDRadar::halfDotSizeDistance_`[private]`

Referenced by displayObject().

std::vector<Ogre::PanelOverlayElement*>::iterator orxonox::HUDRadar::itRadarDots_`[private]`

Referenced by displayObject(), and radarTick().

Ogre::PanelOverlayElement* orxonox::HUDRadar::marker_`[private]`

Referenced by displayObject(), HUDRadar(), radarTick(), and ~HUDRadar().

float orxonox::HUDRadar::maximumDotSize_`[private]`

Referenced by displayObject().

Pawn* orxonox::HUDRadar::owner_`[private]`

Reimplemented from orxonox::OrxonoxOverlay.

Referenced by changedOwner(), displayObject(), and HUDRadar().

std::vector<Ogre::PanelOverlayElement*> orxonox::HUDRadar::radarDots_`[private]`

Referenced by displayObject(), radarTick(), and ~HUDRadar().

float orxonox::HUDRadar::sensitivity_`[private]`

std::map<RadarViewable::Shape, std::string> orxonox::HUDRadar::shapeMaterials_`[private]`

Referenced by displayObject(), and HUDRadar().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/hud/HUDRadar.h
- src/orxonox/overlays/hud/HUDRadar.cc